Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class DeleteBucketRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.s3.model.DeleteBucketRequest

    public class DeleteBucketRequest

extends AmazonWebServiceRequest

Deletes the specified bucket.

Note: If you delete an bucket that does not exist, Amazon S3 will return a success (not an error message).

Constructor Summary
`DeleteBucketRequest(String bucketName)` Constructs a new DeleteBucketRequest, ready to be executed and delete the specified bucket.

Method Summary
`String` | `getBucketName()` Returns the name of the Amazon S3 bucket to delete.
`void` | `setBucketName(String bucketName)` Sets the name of the Amazon S3 bucket to delete.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteBucketRequest

    public DeleteBucketRequest(String bucketName)

  Constructs a new DeleteBucketRequest, ready to be executed and delete the specified bucket.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket to delete.

Method Detail

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket to delete.

  Parameters:
    `bucketName` - the name of the Amazon S3 bucket to delete.

### getBucketName

    public String getBucketName()

  Returns the name of the Amazon S3 bucket to delete.

  Returns:
    the name of the Amazon S3 bucket to delete.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.